# AUTOGENERATED BY NBDEV! DO NOT EDIT!

__all__ = ["index", "modules", "custom_doc_links", "git_url"]

index = {
    "logger": "CLI_Version.ipynb",
    "Client": "Client.ipynb",
    "DEFAULT_AZURE_BLOB_STORAGE_REGION": "API_DataBlob.ipynb",
    "DEFAULT_S3_REGION": "API_DataBlob.ipynb",
    "DataBlob": "Client.ipynb",
    "set_default_cloud_provider": "API_DataBlob.ipynb",
    "DataBlob.details": "API_DataBlob.ipynb",
    "DataBlob.details.__doc__": "API_DataBlob.ipynb",
    "DataBlob.to_datasource": "API_DataBlob.ipynb",
    "DataBlob.tag": "API_DataBlob.ipynb",
    "DataBlob.delete": "API_DataBlob.ipynb",
    "DataSource": "Client.ipynb",
    "DataSource.is_ready": "API_DataSource.ipynb",
    "DataSource.progress_bar": "API_DataSource.ipynb",
    "DataSource.wait": "API_DataSource.ipynb",
    "DataSource.delete": "API_DataSource.ipynb",
    "DataSource.details": "API_DataSource.ipynb",
    "DataSource.tag": "API_DataSource.ipynb",
    "DataSource.head": "API_DataSource.ipynb",
    "DataSource.train": "API_DataSource.ipynb",
    "ensure_is_instance": "API_Helper.ipynb",
    "get_base_url": "API_Helper.ipynb",
    "post_data": "API_Helper.ipynb",
    "get_data": "API_Helper.ipynb",
    "delete_data": "API_Helper.ipynb",
    "add_ready_column": "API_Helper.ipynb",
    "generate_df": "API_Helper.ipynb",
    "get_values_from_item": "API_Helper.ipynb",
    "get_attributes_from_instances": "API_Helper.ipynb",
    "dict_to_df": "API_Helper.ipynb",
    "check_and_append_otp_query_param": "API_Helper.ipynb",
    "standardize_phone_number": "API_Helper.ipynb",
    "add_example_to_docs": "API_Helper.ipynb",
    "APIKey": "Client.ipynb",
    "Model": "Client.ipynb",
    "Model.details": "API_Model.ipynb",
    "Model.delete": "API_Model.ipynb",
    "Model.evaluate": "API_Model.ipynb",
    "Model.predict": "API_Model.ipynb",
    "Prediction": "Client.ipynb",
    "Prediction.details": "API_Prediction.ipynb",
    "Prediction.delete": "API_Prediction.ipynb",
    "Prediction.to_pandas": "API_Prediction.ipynb",
    "Prediction.to_s3": "API_Prediction.ipynb",
    "Prediction.to_azure_blob_storage": "API_Prediction.ipynb",
    "Prediction.to_local": "API_Prediction.ipynb",
    "Prediction.to_mysql": "API_Prediction.ipynb",
    "Prediction.to_clickhouse": "API_Prediction.ipynb",
    "ProgressStatus": "Client.ipynb",
    "ProgressStatus.wait": "API_ProgressStatus.ipynb",
    "User": "Client.ipynb",
    "activated": "ActivateTestingEnvironment.ipynb",
    "typer.core.rich": "ActivateTestingEnvironment.ipynb",
    "app": "CLI_Version.ipynb",
    "details": "CLI_User.ipynb",
    "from_s3": "CLI_DataBlob.ipynb",
    "from_azure_blob_storage": "CLI_DataBlob.ipynb",
    "from_mysql": "CLI_DataBlob.ipynb",
    "to_datasource": "CLI_DataBlob.ipynb",
    "ls": "CLI_User.ipynb",
    "rm": "CLI_Pred.ipynb",
    "tag": "CLI_DataSource.ipynb",
    "from_local": "CLI_DataBlob.ipynb",
    "from_clickhouse": "CLI_DataBlob.ipynb",
    "dtypes": "CLI_DataSource.ipynb",
    "head": "CLI_DataSource.ipynb",
    "train": "CLI_DataSource.ipynb",
    "authenicate_user": "CLI_Helper.ipynb",
    "requires_auth_token": "CLI_Helper.ipynb",
    "humanize_date": "CLI_Helper.ipynb",
    "humanize_number": "CLI_Helper.ipynb",
    "humanize_size": "CLI_Helper.ipynb",
    "get_example_for_type": "CLI_Helper.ipynb",
    "get_example_output_format": "CLI_Helper.ipynb",
    "customize_output_format": "CLI_Helper.ipynb",
    "separate_integers_and_strings": "CLI_Helper.ipynb",
    "echo_formatted_output": "CLI_Helper.ipynb",
    "display_formated_table": "CLI_Helper.ipynb",
    "requires_totp_or_otp": "CLI_Helper.ipynb",
    "requires_totp": "CLI_Helper.ipynb",
    "PHONE_REGISTRATION_STATUS": "CLI_Helper.ipynb",
    "get_phone_registration_status": "CLI_Helper.ipynb",
    "create": "CLI_User.ipynb",
    "revoke": "CLI_Key.ipynb",
    "predict": "CLI_Model.ipynb",
    "evaluate": "CLI_Model.ipynb",
    "to_pandas": "CLI_Pred.ipynb",
    "to_s3": "CLI_Pred.ipynb",
    "to_azure_blob_storage": "CLI_Pred.ipynb",
    "to_local": "CLI_Pred.ipynb",
    "to_mysql": "CLI_Pred.ipynb",
    "to_clickhouse": "CLI_Pred.ipynb",
    "SESSION_TIME_LIMIT": "CLI_Token.ipynb",
    "token": "CLI_Token.ipynb",
    "disable": "CLI_User.ipynb",
    "enable": "CLI_User.ipynb",
    "update": "CLI_User.ipynb",
    "register_phone_number": "CLI_User.ipynb",
    "reset_password": "CLI_User.ipynb",
    "mfa_app": "CLI_User.ipynb",
    "sso_app": "CLI_User.ipynb",
    "version": "CLI_Version.ipynb",
    "CLIENT_DB_USERNAME": "Constants.ipynb",
    "CLIENT_DB_PASSWORD": "Constants.ipynb",
    "SERVICE_USERNAME": "Constants.ipynb",
    "SERVICE_PASSWORD": "Constants.ipynb",
    "SERVER_URL": "Constants.ipynb",
    "SERVICE_TOKEN": "Constants.ipynb",
    "SERVICE_SUPER_USER": "Constants.ipynb",
    "PROD_URL": "Constants.ipynb",
    "CLIENT_NAME": "Constants.ipynb",
    "run_examples_from_docstring": "Docstring_helpers.ipynb",
    "logging_level": "Logger.ipynb",
    "CLILoggerHandler": "Logger.ipynb",
    "handler": "Logger.ipynb",
    "supress_timestamps": "Logger.ipynb",
    "get_logger": "Logger.ipynb",
    "should_supress_timestamps": "Logger.ipynb",
    "set_level": "Logger.ipynb",
    "sanitize_secrets": "Sanitize_Secrets.ipynb",
    "old_log": "Sanitize_Secrets.ipynb",
    "old_publish_display_data": "Sanitize_Secrets.ipynb",
    "new_publish_display_data": "Sanitize_Secrets.ipynb",
    "IPython.core.display_functions.publish_display_data": "Sanitize_Secrets.ipynb",
    "old_print": "Sanitize_Secrets.ipynb",
    "sanitized_print": "Sanitize_Secrets.ipynb",
}

modules = [
    "components/client.py",
    "components/datablob.py",
    "components/datasource.py",
    "helper.py",
    "components/api_key.py",
    "components/model.py",
    "components/prediction.py",
    "components/progress_status.py",
    "components/user.py",
    "testing/activate_by_import.py",
    "cli/cli.py",
    "cli/db.py",
    "cli/ds.py",
    "cli/helper.py",
    "cli/api_key.py",
    "cli/model.py",
    "cli/pred.py",
    "cli/token.py",
    "cli/user.py",
    "cli/version.py",
    "client.py",
    "constant.py",
    "docstring/helpers.py",
    "logger.py",
    "sanitizer.py",
]

doc_url = "//"

git_url = "https://gitlab.com/airt.ai/airt-client/tree/main/"


def custom_doc_links(name):
    return None
